/*

@echo off
cls
echo.
echo This INSTALL routine requires OS/2 REXX support installed.
echo Run Selective Installation from the OS/2 Setup Folder to
echo install REXX support before attempting to run this CMD file.
pause
exit

       *-------------------------------------------------------------*
       |                                                             |
       |           JAVA MOVIE DATABASE OS/2 INSTALL SCRIPT           |
       |                                                             |
       |   INSTOS2.CMD - Install procedure for Java Movie Database   |
       |                                                             |
       |                 (C)Copyright 2001 Juergen Ulbts             |
       |                 All Rights Reserved                         |
       |                                                             |
       *-------------------------------------------------------------*
*/

'@echo off'

BootDrive       = ''
JMDBInstallPath = directory()
JDKString       = translate(':\JAVA13\JRE\')
JDKInstallPath  = ''
JMDBIcon        = JMDBInstallPath||'\graphics\jmdbos2.ico'

CopyrightLine1  = 'OS/2 Install script for the Java Movie Database (JMDB) V1.x.x'
CopyrightLine2  = '(C) Copyright 2001 - Juergen Ulbts'
CopyrightLine3  = 'All Rights Reserved'
CopyrightLine4  = 'The Java Movie Database (JMDB) is a freeware program!!!'
CopyrightLine5  = 'The newest version can be found at: http://www.jmdb.de'

/* Load REXXUTIL */
call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
call sysloadfuncs


AvailDrives = SysDriveMap('C:', 'LOCAL')

/* Get boot drive letter */
done = 0
do while \ done
  call ShowScriptCopyright
  say '  Please enter the drive letter for your OS/2 boot drive.'
  call charout, '  Press the letter for the drive or ESC to quit: '
  do forever
    k = translate(SysGetKey('NOECHO'))
    if k = D2C(27) then
      call InstallEnd
    else do
      k = k||':'
      if pos(k, AvailDrives) = 0 then
        call beep 1760, 50
      else do
        call SysFileTree k||'\Config.Sys', 'tmp', 'F'
        if tmp.0 = 0 then do
          say
          say
          say 'Cannot locate "'k'\Config.Sys"'
          call PressAnyKey
          leave
        end
        else do
          BootDrive = k
          done = 1
          leave
        end
      end
    end
  end
end



/* Check to see if Config.sys contains \JAVA13\JRE.  If so, grab the path
   where the JAVA13 is installed installed at. */
do until lines(BootDrive||'\Config.sys') = 0
  parse value linein(BootDrive||'\Config.sys') with ConfigLine
  position = pos(JDKString, strip(translate(ConfigLine)))
  IF position > 0 THEN DO
    JDKInstallPath = strip(substr(strip(ConfigLine), position-1, length(JDKString)))
    if substr(JDKInstallPath,length(JDKInstallPath)) <> '\' then JDKInstallPath = JDKInstallPath||'\'
    JDKInstallPath = JDKInstallPath||'BIN\'

/*  ELSE
    say 'Could not find Java JRE 1.3 or greater.' 
    say 'Please enter the JRE 1.3 path to the file JAVA.EXE.'
    JDKInstallPath = GetPath(JDKInstallPath)
    if substr(JDKInstallPath,length(JDKInstallPath)) <> '\' then JDKInstallPath = JDKInstallPath||'\'
*/

  END
end



/* main selection loop */
do forever
  call ShowScriptCopyright
  say 'Select one of the following:'
  say
  say '  0. Exit JMDB install'
  say '  1. Create Java Movie Database Desktop objects'
  say '  2. Create Java Movie Database "startos2.cmd"'
  say
  say '  ESC to quit'
  say
  call charout, 'Press 0,1,2 or ESC: '
  do forever 
    k = translate(SysGetKey('NOECHO'))
    if k = '0' | k = D2C(27) then
      call InstallEnd
    else do
      if k = '1' then do
        call CreatePMJMDBObjects
        leave
      end
      if k = '2' then do
        call CreateSTARTOS2CMD
        leave
      end
    end
    call beep 1760, 50
  end 
end


/* Create PM JMDB Objects on Desktop */
CreatePMJMDBObjects:
  call ShowScriptCopyright
  say
  call CreateSTARTOS2CMD_NOOUTPUT

  if SysCreateObject("WPFolder","Java Movie Database","<WP_DESKTOP>", "OBJECTID=<JMDB_Folder>", "R") Then Do
    if SysCreateObject("WPProgram", "JMDB",               "<JMDB_Folder>",  "EXENAME="JMDBInstallPath"\STARTOS2.CMD;STARTUPDIR="JMDBInstallPath";ICONFILE="JMDBIcon, "R") then 
      if SysCreateObject("WPProgram", "JMDB Readme", "<JMDB_Folder>", "EXENAME=e.exe;PARAMETERS="JMDBInstallPath"\readme.;", "R") then
        if SysCreateObject("WPUrl", "JMDB Help", "<JMDB_Folder>","NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=file:///"translate(translate(JMDBInstallPath||"/doc","|",":"), "/", "\")"/jmdbhelp.html;", "R")  then
          if SysCreateObject("WPUrl", "JMDB HomePage", "<JMDB_Folder>","NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=http://www.jmdb.de;", "R") then
          say 'All objects were created!'
        Else say 'Failed to create JMDB Help URL object!'
      Else say 'Failed to create JMDB Readme object!'
    Else say 'Failed to create JMDB program object!'
  Else say 'Failed to create JMDB folder on the Desktop! No other objects were created!'

  if SysCreateObject("WPFolder","Additional Links","<JMDB_Folder>", "OBJECTID=<JMDB_Links>", "R") Then Do
    if SysCreateObject("WPUrl", "IMDb Homepage", "<JMDB_Links>","NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=http://www.imdb.com;", "R") then
      if SysCreateObject("WPUrl", "MySQL Homepage", "<JMDB_Links>","NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=http://www.mysql.com;", "R") then
        if SysCreateObject("WPUrl", "MM MySQL Driver Homepage", "<JMDB_Links>","NOTDEFAULTICON=YES;DEFAULTVIEW=CONTENTS;URL=http://mmmysql.sourceforge.net;", "R") then
        say 'All additional LINKS were created!'
      Else say 'Failed to create MySQL Homepage URL object!'
    Else say 'Failed to create IMDb Homepage URL object!'
  Else say 'Failed to create additional LINKS folder on the Desktop! No additional URL objects were created!'

  call PressAnyKey
  return




/* Create startos2.cmd */
CreateSTARTOS2CMD:
  call ShowScriptCopyright
  say
  startfile = 'startos2.cmd'
  '@del 'startfile' >nul 2>>&1'
  rc = lineout(startfile, "@ECHO OFF" )
  rc = lineout(startfile, "REM You may have to add the path to the Java13 runtime ('x:\java13\bin\jre\java.exe -cp ...')!")
  rc = lineout(startfile, JDKInstallPath||"JAVA.EXE -cp JMDB.jar;mm_mysql-2_0_4-bin.jar JMDBMain")
  say 'STARTOS2.CMD created.'
  call PressAnyKey
  return


/* Create startos2.cmd without screen output */
CreateSTARTOS2CMD_NOOUTPUT:
  startfile = 'startos2.cmd'
  '@del 'startfile' >nul 2>>&1'
  rc = lineout(startfile, "@ECHO OFF" )
  rc = lineout(startfile, "REM You may have to add the path to the Java13 runtime ('x:\java13\bin\jre\java.exe -cp ...')!")
  rc = lineout(startfile, JDKInstallPath||"JAVA.EXE -cp JMDB.jar;mm_mysql-2_0_4-bin.jar JMDBMain")
  return


/* Show script copyright notice */
ShowScriptCopyright:
  call SysCls
  say
  say
  say CopyrightLine1
  say CopyrightLine2
  say CopyrightLine3
  say
  say CopyrightLine4
  say CopyrightLine5
  say
  say
  return


/* Wait for a key press */
PressAnyKey:
  call charout, 'Press any key to continue...'
  call SysGetKey 'NOECHO'
  return


/* Get path from user */
GetPath:
  call charout, '> '
  parse pull APath
  len = length(APath)
  if len > 0 then
    if substr(APath, len, 1) = '\' then
      APath = substr(APath, 1, len-1)
  return APath



InstallEnd:
  call SysCls
  say
  say
  say 'Java Movie Database INSTALL ended.'
  exit

